* {transition: none;}

.overlayp {
  position: fixed;
  inset: 0;
  display: none;
  z-index: 1599;
  background: rgba(124, 124, 124, 0.7);
  backdrop-filter: blur(5px);
}

.popup {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) scale(0.8);
  transform-origin: center center;
  border-radius: 15px;
  background: rgb(255, 255, 255, 0.7);
  border: 1px solid #fff;
  backdrop-filter: blur(5px);
  box-shadow: 0 0 5px 0 #e3e3e3;
  transition: opacity 0.3s ease, transform 0.3s ease;
  opacity: 0;
  z-index: 1600;
  pointer-events: none;
  min-width: 300px;
  will-change: transform, opacity;
  width: fit-content;
  max-width: 500px;
  height: fit-content;
  max-height: 700px;
  overflow: hidden;
  background: #f5f5f5;
  h2 {
    border-bottom: 1px solid #cecece;
    width: 100%;
    text-align: center;
    padding: 10px;
    color: gray;
    font-size: 18px;
    margin: 0;
  }
  ul , li {
    text-align: left;
  }
  img {
    width: 100%;
    display: block;
    margin-left: auto;
    margin-right: auto;
    border: 1px solid #fff;
    border-radius: 5px;
    margin-bottom: 10px;
  }
  .contentp {
    border-radius: 5px;
    padding: 20px;
    overflow-y: scroll;
    * {
      color: #333;
    }
  }
}
.contentp {
  h3 {
    font-size: 20px;
    margin: 0;
    text-align: center;
    margin-bottom: 15px;
  }
}
.popup.active {
  transform: translate(-50%, -50%) scale(1);
  opacity: 1;
  pointer-events: auto;
}

.btnpop {
    display: flex;
    gap: 10px;
    box-sizing: border-box;
    justify-content: center;
    margin-bottom: 10px;
}
.cbtn {
    width: 120px;
    height: 40px;
    border: none;
    border-radius: 5px;
    color: gray;
    transition: all 0.3s;
    background: #fff;
    border: none !important;
    backdrop-filter: blur(5px);
    box-shadow: 0 0 5px 0 #e3e3e3;
    border-radius: 100px;
    &:hover , &:active {
      opacity: 0.5;
    }
}

.cssmode {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  gap: 10px;
  label {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 5px;
    input {
      margin: 0;
    }
  }
}

.popb {
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff;
  border: 1px solid gainsboro;
  padding: 10px;
  margin-top: 2.5px;
  margin-bottom: 2.5px;
  border-radius: 10px;
  width: 100%;
}

.pophint {
  background: gainsboro;
  color: gray !important;
  font-size: 10px;
  font-weight: 500 !important;
  padding: 0 5px;
  margin-left: 5px !important;
  border-radius: 100px;
}